[Overview][Classes][Procedures and functions][Index] | Reference for unit '_crw_plugin_wrapper' (#crwlib)

# TPluginApi

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_plugin_wrapper.pas line 45

`type TPluginApi = class(TNoRefCountMasterObject)`
`public`
`procedure ServerActionsBeforeExecution; virtual; abstract;`
`procedure ServerActionsAfterExecution; virtual; abstract;`
`function CrwApi; virtual; abstract;`
`protected`
`function RedirectStdInToFifo();`
`function RedirectStdOutToFifo();`
`end;`

## Inheritance

`TPluginApi`
`TNoRefCountMasterObject,IUnknown`
`TMasterObject`
`TObject`